Bug 299701 - after updateing to rawhide X crashes some seconds after gnome loaded
after updateing to rawhide X crashes some seconds after gnome loaded
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-21 01:11 EDT by Thorsten Leemhuis
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-09 01:11:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
working xorg.conf (649 bytes, text/plain)
2007-09-21 08:55 EDT, Thorsten Leemhuis
no flags Details
working Xorg.0.log (83.34 KB, text/plain)
2007-09-21 08:56 EDT, Thorsten Leemhuis
no flags Details
Xorg.0.log -- without xorg.conf (58.39 KB, application/octet-stream)
2007-09-21 08:57 EDT, Thorsten Leemhuis
no flags Details

  None (edit)
Description Thorsten Leemhuis 2007-09-21 01:11:31 EDT
Description of problem:
I updated my main system at work from F7-latest to rawhide on Tuesday this week.
On F7 everything including DRI worked fine beforehand and I used compiz on it
for months. 

But after booting into the freshly updated rawhide X crashed some seconds after
gnome started. Sometimes it crashes while the gnome-panel icons show up, more
often when I started my gnome-terminal session for irssi with a transparent
background.

Okay, I said to me, get rid of compiz and try if it works with metacity -- It
doesn't, it also crashes after some seconds/when I start the gnome-terminal.
Thus I added 'Option "NoDRI" "true"' to /etc/X11/xorg.conf -- that way metacity
 and the machine works fine. 

The machine does not crash completely, just X and the graphic card do afaics --
I can still connect via ssh and move the mouse cursor, but I can't kill X using
ssh with kill -9 nor by using CTRL+ALT+Backspace. The logs (/var/log/messages,
dmesg, /var/log/Xorg.0.log) show no obvious problems.

How can I track this issue down further?

Version-Release number of selected component (if applicable):
$ rpm -q xorg-x11-server-Xorg xorg-x11-drv-ati
xorg-x11-server-Xorg-1.3.0.0-24.fc8
xorg-x11-drv-ati-6.7.193-1.fc8
$ uname -r
2.6.23-0.189.rc6.git8.fc8

How reproducible:
Always

PCI-IDs:
$ /sbin/lspci -s 02:00.* ;  /sbin/lspci -s 02:00.* -n
02:00.0 VGA compatible controller: ATI Technologies Inc RV350 AP [Radeon 9600]
02:00.1 Display controller: ATI Technologies Inc RV350 AP [Radeon 9600] (Secondary)
02:00.0 0300: 1002:4150
02:00.1 0380: 1002:4170

$ /sbin/lspci -s 00:0b.0 ;  /sbin/lspci -s 00:0b.0 -n
00:0b.0 PCI bridge: nVidia Corporation nForce3 AGP Bridge (rev a4)
00:0b.0 0604: 10de:00d2 (rev a4)

Additional Informations:
I wanted to report this yesterday already but when I saw that airlied queued a
update of xorg-x11-drv-ati I waited another 24 hours to test again. Did that,
and the error was still the same.

In case of questions you can find me as "knurd" in various fedora-channels on
freenode.
Comment 1 Matěj Cepl 2007-09-21 08:25:33 EDT
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Thorsten Leemhuis 2007-09-21 08:55:04 EDT
Created attachment 201991 [details]
working xorg.conf

(In reply to comment #1)
> Please attach your X server config file (/etc/X11/xorg.conf)
Comment 3 Thorsten Leemhuis 2007-09-21 08:56:18 EDT
Created attachment 202011 [details]
working Xorg.0.log

(In reply to comment #1)
> Please attach [...] X server log file (/var/log/Xorg.*.log)
Comment 4 Thorsten Leemhuis 2007-09-21 08:57:33 EDT
Created attachment 202031 [details]
Xorg.0.log -- without xorg.conf

(In reply to comment #1)
> Could you please also try to run without any /etc/X11/xorg.conf whatsoever
and
> let X11 autodetect your display and video card? Attach to this bug
> /var/log/Xorg.0.log from this attempt as well, please.
Comment 5 Thorsten Leemhuis 2007-09-21 08:59:01 EDT
(In reply to comment #1)
> We will review this issue again once you've had a chance to attach this
information.

thx
Comment 6 Thorsten Leemhuis 2007-09-24 01:31:30 EDT
Built xorg-x11-drv-ati-6.7.194-1.fc8 locally -- it crashed as well (but it seems
it lasted a bit longer until it crashed)
Comment 7 Thorsten Leemhuis 2007-10-09 01:11:22 EDT
The system where this happened doesn't exist in its old form anymore. Closing bug.

Note You need to log in before you can comment on or make changes to this bug.